## electrum 4.3.2+dfsg1

=== contrib/deterministic-build/requirements.txt ===
aiohttp==3.8.1 \
    --hash=sha256:01d7bdb774a9acc838e6b8f1d114f45303841b89b95984cbb7d80ea41172a9e3 \
    --hash=sha256:03a6d5349c9ee8f79ab3ff3694d6ce1cfc3ced1c9d36200cb8f08ba06bd3b782 \
    --hash=sha256:04d48b8ce6ab3cf2097b1855e1505181bdd05586ca275f2505514a6e274e8e75 \
    --hash=sha256:0770e2806a30e744b4e21c9d73b7bee18a1cfa3c47991ee2e5a65b887c49d5cf \
    --hash=sha256:07b05cd3305e8a73112103c834e91cd27ce5b4bd07850c4b4dbd1877d3f45be7 \
    --hash=sha256:086f92daf51a032d062ec5f58af5ca6a44d082c35299c96376a41cbb33034675 \
    --hash=sha256:099ebd2c37ac74cce10a3527d2b49af80243e2a4fa39e7bce41617fbc35fa3c1 \
    --hash=sha256:0c7ebbbde809ff4e970824b2b6cb7e4222be6b95a296e46c03cf050878fc1785 \
    --hash=sha256:102e487eeb82afac440581e5d7f8f44560b36cf0bdd11abc51a46c1cd88914d4 \
    --hash=sha256:11691cf4dc5b94236ccc609b70fec991234e7ef8d4c02dd0c9668d1e486f5abf \
    --hash=sha256:11a67c0d562e07067c4e86bffc1553f2cf5b664d6111c894671b2b8712f3aba5 \
    --hash=sha256:12de6add4038df8f72fac606dff775791a60f113a725c960f2bab01d8b8e6b15 \
    --hash=sha256:13487abd2f761d4be7c8ff9080de2671e53fff69711d46de703c310c4c9317ca \
    --hash=sha256:15b09b06dae900777833fe7fc4b4aa426556ce95847a3e8d7548e2d19e34edb8 \
    --hash=sha256:1c182cb873bc91b411e184dab7a2b664d4fea2743df0e4d57402f7f3fa644bac \
    --hash=sha256:1ed0b6477896559f17b9eaeb6d38e07f7f9ffe40b9f0f9627ae8b9926ae260a8 \
    --hash=sha256:28d490af82bc6b7ce53ff31337a18a10498303fe66f701ab65ef27e143c3b0ef \
    --hash=sha256:2e5d962cf7e1d426aa0e528a7e198658cdc8aa4fe87f781d039ad75dcd52c516 \
    --hash=sha256:2ed076098b171573161eb146afcb9129b5ff63308960aeca4b676d9d3c35e700 \
    --hash=sha256:2f2f69dca064926e79997f45b2f34e202b320fd3782f17a91941f7eb85502ee2 \
    --hash=sha256:31560d268ff62143e92423ef183680b9829b1b482c011713ae941997921eebc8 \
    --hash=sha256:31d1e1c0dbf19ebccbfd62eff461518dcb1e307b195e93bba60c965a4dcf1ba0 \
    --hash=sha256:37951ad2f4a6df6506750a23f7cbabad24c73c65f23f72e95897bb2cecbae676 \
    --hash=sha256:3af642b43ce56c24d063325dd2cf20ee012d2b9ba4c3c008755a301aaea720ad \
    --hash=sha256:44db35a9e15d6fe5c40d74952e803b1d96e964f683b5a78c3cc64eb177878155 \
    --hash=sha256:473d93d4450880fe278696549f2e7aed8cd23708c3c1997981464475f32137db \
    --hash=sha256:477c3ea0ba410b2b56b7efb072c36fa91b1e6fc331761798fa3f28bb224830dd \
    --hash=sha256:4a4a4e30bf1edcad13fb0804300557aedd07a92cabc74382fdd0ba6ca2661091 \
    --hash=sha256:4aed991a28ea3ce320dc8ce655875e1e00a11bdd29fe9444dd4f88c30d558602 \
    --hash=sha256:51467000f3647d519272392f484126aa716f747859794ac9924a7aafa86cd411 \
    --hash=sha256:55c3d1072704d27401c92339144d199d9de7b52627f724a949fc7d5fc56d8b93 \
    --hash=sha256:589c72667a5febd36f1315aa6e5f56dd4aa4862df295cb51c769d16142ddd7cd \
    --hash=sha256:5bfde62d1d2641a1f5173b8c8c2d96ceb4854f54a44c23102e2ccc7e02f003ec \
    --hash=sha256:5c23b1ad869653bc818e972b7a3a79852d0e494e9ab7e1a701a3decc49c20d51 \
    --hash=sha256:61bfc23df345d8c9716d03717c2ed5e27374e0fe6f659ea64edcd27b4b044cf7 \
    --hash=sha256:6ae828d3a003f03ae31915c31fa684b9890ea44c9c989056fea96e3d12a9fa17 \
    --hash=sha256:6c7cefb4b0640703eb1069835c02486669312bf2f12b48a748e0a7756d0de33d \
    --hash=sha256:6d69f36d445c45cda7b3b26afef2fc34ef5ac0cdc75584a87ef307ee3c8c6d00 \
    --hash=sha256:6f0d5f33feb5f69ddd57a4a4bd3d56c719a141080b445cbf18f238973c5c9923 \
    --hash=sha256:6f8b01295e26c68b3a1b90efb7a89029110d3a4139270b24fda961893216c440 \
    --hash=sha256:713ac174a629d39b7c6a3aa757b337599798da4c1157114a314e4e391cd28e32 \
    --hash=sha256:718626a174e7e467f0558954f94af117b7d4695d48eb980146016afa4b580b2e \
    --hash=sha256:7187a76598bdb895af0adbd2fb7474d7f6025d170bc0a1130242da817ce9e7d1 \
    --hash=sha256:71927042ed6365a09a98a6377501af5c9f0a4d38083652bcd2281a06a5976724 \
    --hash=sha256:7d08744e9bae2ca9c382581f7dce1273fe3c9bae94ff572c3626e8da5b193c6a \
    --hash=sha256:7dadf3c307b31e0e61689cbf9e06be7a867c563d5a63ce9dca578f956609abf8 \
    --hash=sha256:81e3d8c34c623ca4e36c46524a3530e99c0bc95ed068fd6e9b55cb721d408fb2 \
    --hash=sha256:844a9b460871ee0a0b0b68a64890dae9c415e513db0f4a7e3cab41a0f2fedf33 \
    --hash=sha256:8b7ef7cbd4fec9a1e811a5de813311ed4f7ac7d93e0fda233c9b3e1428f7dd7b \
    --hash=sha256:97ef77eb6b044134c0b3a96e16abcb05ecce892965a2124c566af0fd60f717e2 \
    --hash=sha256:99b5eeae8e019e7aad8af8bb314fb908dd2e028b3cdaad87ec05095394cce632 \
    --hash=sha256:a25fa703a527158aaf10dafd956f7d42ac6d30ec80e9a70846253dd13e2f067b \
    --hash=sha256:a2f635ce61a89c5732537a7896b6319a8fcfa23ba09bec36e1b1ac0ab31270d2 \
    --hash=sha256:a79004bb58748f31ae1cbe9fa891054baaa46fb106c2dc7af9f8e3304dc30316 \
    --hash=sha256:a996d01ca39b8dfe77440f3cd600825d05841088fd6bc0144cc6c2ec14cc5f74 \
    --hash=sha256:b0e20cddbd676ab8a64c774fefa0ad787cc506afd844de95da56060348021e96 \
    --hash=sha256:b6613280ccedf24354406caf785db748bebbddcf31408b20c0b48cb86af76866 \
    --hash=sha256:b9d00268fcb9f66fbcc7cd9fe423741d90c75ee029a1d15c09b22d23253c0a44 \
    --hash=sha256:bb01ba6b0d3f6c68b89fce7305080145d4877ad3acaed424bae4d4ee75faa950 \
    --hash=sha256:c2aef4703f1f2ddc6df17519885dbfa3514929149d3ff900b73f45998f2532fa \
    --hash=sha256:c34dc4958b232ef6188c4318cb7b2c2d80521c9a56c52449f8f93ab7bc2a8a1c \
    --hash=sha256:c3630c3ef435c0a7c549ba170a0633a56e92629aeed0e707fec832dee313fb7a \
    --hash=sha256:c3d6a4d0619e09dcd61021debf7059955c2004fa29f48788a3dfaf9c9901a7cd \
    --hash=sha256:d15367ce87c8e9e09b0f989bfd72dc641bcd04ba091c68cd305312d00962addd \
    --hash=sha256:d2f9b69293c33aaa53d923032fe227feac867f81682f002ce33ffae978f0a9a9 \
    --hash=sha256:e999f2d0e12eea01caeecb17b653f3713d758f6dcc770417cf29ef08d3931421 \
    --hash=sha256:ea302f34477fda3f85560a06d9ebdc7fa41e82420e892fc50b577e35fc6a50b2 \
    --hash=sha256:eaba923151d9deea315be1f3e2b31cc39a6d1d2f682f942905951f4e40200922 \
    --hash=sha256:ef9612483cb35171d51d9173647eed5d0069eaa2ee812793a75373447d487aa4 \
    --hash=sha256:f5315a2eb0239185af1bddb1abf472d877fede3cc8d143c6cddad37678293237 \
    --hash=sha256:fa0ffcace9b3aa34d205d8130f7873fcfefcb6a4dd3dd705b0dab69af6712642 \
    --hash=sha256:fc5471e1a54de15ef71c1bc6ebe80d4dc681ea600e68bfd1cbce40427f0b7578
aiohttp-socks==0.7.1 \
    --hash=sha256:2215cac4891ef3fa14b7d600ed343ed0f0a670c23b10e4142aa862b3db20341a \
    --hash=sha256:94bcff5ef73611c6c6231c2ffc1be4af1599abec90dbd2fdbbd63233ec2fb0ff
aiorpcX==0.22.1 \
    --hash=sha256:6026f7bed3432e206589c94dcf599be8cd85b5736b118c7275845c1bd922a553 \
    --hash=sha256:e74f9fbed3fd21598e71fe05066618fc2c06feec504fe29490ddda05fdbdde62
aiosignal==1.2.0 \
    --hash=sha256:26e62109036cd181df6e6ad646f91f0dcfd05fe16d0cb924138ff2ab75d64e3a \
    --hash=sha256:78ed67db6c7b7ced4f98e495e572106d5c432a93e1ddd1bf475e1dc05f5b7df2
async-timeout==4.0.2 \
    --hash=sha256:2163e1640ddb52b7a8c80d0a67a08587e5d245cc9c553a74a847056bc2976b15 \
    --hash=sha256:8ca1e4fcf50d07413d66d1a5e416e42cfdf5851c981d679a09851a6853383b3c
attrs==21.4.0 \
    --hash=sha256:2d27e3784d7a565d36ab851fe94887c5eccd6a463168875832a1be79c82828b4 \
    --hash=sha256:626ba8234211db98e869df76230a137c4c40a12d72445c45d5f5b716f076e2fd
bitstring==3.1.9 \
    --hash=sha256:0de167daa6a00c9386255a7cac931b45e6e24e0ad7ea64f1f92a64ac23ad4578 \
    --hash=sha256:a5848a3f63111785224dca8bb4c0a75b62ecdef56a042c8d6be74b16f7e860e7 \
    --hash=sha256:e3e340e58900a948787a05e8c08772f1ccbe133f6f41fe3f0fa19a18a22bbf4f
certifi==2021.10.8 \
    --hash=sha256:78884e7c1d4b00ce3cea67b44566851c4343c120abd683433ce934a68ea58872 \
    --hash=sha256:d62a0163eb4c2344ac042ab2bdf75399a71a2d8c7d47eac2e2ee91b9d6339569
charset-normalizer==2.0.12 \
    --hash=sha256:2857e29ff0d34db842cd7ca3230549d1a697f96ee6d3fb071cfa6c7393832597 \
    --hash=sha256:6881edbebdb17b39b4eaaa821b438bf6eddffb4468cf344f09f89def34a8b1df
dnspython==2.2.1 \
    --hash=sha256:0f7569a4a6ff151958b64304071d370daa3243d15941a7beedf0c9fe5105603e \
    --hash=sha256:a851e51367fb93e9e1361732c1d60dab63eff98712e503ea7d92e6eccb109b4f
frozenlist==1.3.0 \
    --hash=sha256:006d3595e7d4108a12025ddf415ae0f6c9e736e726a5db0183326fd191b14c5e \
    --hash=sha256:01a73627448b1f2145bddb6e6c2259988bb8aee0fb361776ff8604b99616cd08 \
    --hash=sha256:03a7dd1bfce30216a3f51a84e6dd0e4a573d23ca50f0346634916ff105ba6e6b \
    --hash=sha256:0437fe763fb5d4adad1756050cbf855bbb2bf0d9385c7bb13d7a10b0dd550486 \
    --hash=sha256:04cb491c4b1c051734d41ea2552fde292f5f3a9c911363f74f39c23659c4af78 \
    --hash=sha256:0c36e78b9509e97042ef869c0e1e6ef6429e55817c12d78245eb915e1cca7468 \
    --hash=sha256:25af28b560e0c76fa41f550eacb389905633e7ac02d6eb3c09017fa1c8cdfde1 \
    --hash=sha256:2fdc3cd845e5a1f71a0c3518528bfdbfe2efaf9886d6f49eacc5ee4fd9a10953 \
    --hash=sha256:30530930410855c451bea83f7b272fb1c495ed9d5cc72895ac29e91279401db3 \
    --hash=sha256:31977f84828b5bb856ca1eb07bf7e3a34f33a5cddce981d880240ba06639b94d \
    --hash=sha256:3c62964192a1c0c30b49f403495911298810bada64e4f03249ca35a33ca0417a \
    --hash=sha256:3f7c935c7b58b0d78c0beea0c7358e165f95f1fd8a7e98baa40d22a05b4a8141 \
    --hash=sha256:40dff8962b8eba91fd3848d857203f0bd704b5f1fa2b3fc9af64901a190bba08 \
    --hash=sha256:40ec383bc194accba825fbb7d0ef3dda5736ceab2375462f1d8672d9f6b68d07 \
    --hash=sha256:436496321dad302b8b27ca955364a439ed1f0999311c393dccb243e451ff66aa \
    --hash=sha256:4406cfabef8f07b3b3af0f50f70938ec06d9f0fc26cbdeaab431cbc3ca3caeaa \
    --hash=sha256:45334234ec30fc4ea677f43171b18a27505bfb2dba9aca4398a62692c0ea8868 \
    --hash=sha256:47be22dc27ed933d55ee55845d34a3e4e9f6fee93039e7f8ebadb0c2f60d403f \
    --hash=sha256:4a44ebbf601d7bac77976d429e9bdb5a4614f9f4027777f9e54fd765196e9d3b \
    --hash=sha256:4eda49bea3602812518765810af732229b4291d2695ed24a0a20e098c45a707b \
    --hash=sha256:57f4d3f03a18facacb2a6bcd21bccd011e3b75d463dc49f838fd699d074fabd1 \
    --hash=sha256:603b9091bd70fae7be28bdb8aa5c9990f4241aa33abb673390a7f7329296695f \
    --hash=sha256:65bc6e2fece04e2145ab6e3c47428d1bbc05aede61ae365b2c1bddd94906e478 \
    --hash=sha256:691ddf6dc50480ce49f68441f1d16a4c3325887453837036e0fb94736eae1e58 \
    --hash=sha256:6983a31698490825171be44ffbafeaa930ddf590d3f051e397143a5045513b01 \
    --hash=sha256:6a202458d1298ced3768f5a7d44301e7c86defac162ace0ab7434c2e961166e8 \
    --hash=sha256:6eb275c6385dd72594758cbe96c07cdb9bd6becf84235f4a594bdf21e3596c9d \
    --hash=sha256:754728d65f1acc61e0f4df784456106e35afb7bf39cfe37227ab00436fb38676 \
    --hash=sha256:768efd082074bb203c934e83a61654ed4931ef02412c2fbdecea0cff7ecd0274 \
    --hash=sha256:772965f773757a6026dea111a15e6e2678fbd6216180f82a48a40b27de1ee2ab \
    --hash=sha256:871d42623ae15eb0b0e9df65baeee6976b2e161d0ba93155411d58ff27483ad8 \
    --hash=sha256:88aafd445a233dbbf8a65a62bc3249a0acd0d81ab18f6feb461cc5a938610d24 \
    --hash=sha256:8c905a5186d77111f02144fab5b849ab524f1e876a1e75205cd1386a9be4b00a \
    --hash=sha256:8cf829bd2e2956066dd4de43fd8ec881d87842a06708c035b37ef632930505a2 \
    --hash=sha256:92e650bd09b5dda929523b9f8e7f99b24deac61240ecc1a32aeba487afcd970f \
    --hash=sha256:93641a51f89473837333b2f8100f3f89795295b858cd4c7d4a1f18e299dc0a4f \
    --hash=sha256:94c7a8a9fc9383b52c410a2ec952521906d355d18fccc927fca52ab575ee8b93 \
    --hash=sha256:9f892d6a94ec5c7b785e548e42722e6f3a52f5f32a8461e82ac3e67a3bd073f1 \
    --hash=sha256:acb267b09a509c1df5a4ca04140da96016f40d2ed183cdc356d237286c971b51 \
    --hash=sha256:adac9700675cf99e3615eb6a0eb5e9f5a4143c7d42c05cea2e7f71c27a3d0846 \
    --hash=sha256:aff388be97ef2677ae185e72dc500d19ecaf31b698986800d3fc4f399a5e30a5 \
    --hash=sha256:b5009062d78a8c6890d50b4e53b0ddda31841b3935c1937e2ed8c1bda1c7fb9d \
    --hash=sha256:b684c68077b84522b5c7eafc1dc735bfa5b341fb011d5552ebe0968e22ed641c \
    --hash=sha256:b9e3e9e365991f8cc5f5edc1fd65b58b41d0514a6a7ad95ef5c7f34eb49b3d3e \
    --hash=sha256:bd89acd1b8bb4f31b47072615d72e7f53a948d302b7c1d1455e42622de180eae \
    --hash=sha256:bde99812f237f79eaf3f04ebffd74f6718bbd216101b35ac7955c2d47c17da02 \
    --hash=sha256:c6c321dd013e8fc20735b92cb4892c115f5cdb82c817b1e5b07f6b95d952b2f0 \

=== debian/changelog ===
electrum (4.3.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * d/rules: Fix missing space escape.

 -- Bastian Germann <bage@debian.org>  Sat, 22 Oct 2022 15:56:33 +0200

electrum (4.3.2+dfsg1-1) unstable; urgency=high

  * Team upload.
  * Patch: Replace vendored distutils with system's.

  [ Soren Stoutner ]
  * New upstream version 4.3.2 (Closes: #1001064, #1012361, #1021959).
  * Repack the new version to remove sourceless minified JavaScript files
    (Closes ##1022095).
  * Switch to new "sourceonly" upstream tarball (see the upstream changelog
    for release 4.3.1).
  * Update dependencies and installed files.
  * Remove unneeded include-binaries file.
  * debian/control: Bump Standards-Version to 4.6.1 (no changes).
  * debian/copyright: Update and reformat copyright and license information.
  * debian/patches:
    - Refresh 0001-Improve-message-about-PyQt5.patch.
    - Add 0003-Correct-desktop-exec.patch.
    - Add 0004-Use-system-JavaScript-files.patch
  * debian/python3-electrum.link: Create file and add system resource links.
  * debian/rules:
    - Build paymentrequest_pb2.py from the .proto file.
    - Remove redundant license files from the binary packages.
  * debian/upstream/signing-key.asc: Strip superfluous signatures.
  * debian/watch: Update to version 4 and refactor for "sourceonly" tarball.

 -- Bastian Germann <bage@debian.org>  Tue, 18 Oct 2022 21:45:04 +0200

=== debian/control ===
Source: electrum
Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Section: utils
Priority: optional
# libsecp256k1-0: Used to speed up elliptic curve operations.
# protobuf-compiler: Used to compile paymentrequest_pb2.py.
Build-Depends:
 debhelper-compat (= 13),
 devscripts,
 dh-sequence-python3,
 libsecp256k1-0,
 protobuf-compiler,
 pyqt5-dev-tools,
 python3,
 python3-aiohttp (>= 3.3.0),
 python3-aiohttp-socks (>= 0.3),
 python3-aiorpcx (>= 0.22),
 python3-attr (>= 19.2.0),
 python3-bitstring,
 python3-cbor (>= 1.0.0),
 python3-certifi,
 python3-cryptography (>= 2.6),
 python3-dnspython (>= 2.0),
 python3-ecdsa (>= 0.14),
 python3-kivy,
 python3-pbkdf2,
 python3-protobuf (>= 3.12),
 python3-pyaes (>= 0.1a1),
 python3-pycryptodome (>= 3.7),
 python3-pyqt5,
 python3-pyqt5.qtmultimedia,
 python3-pyqt5.qtquick,
 python3-qrcode,
 python3-serial (>= 3.5),
 python3-setuptools
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/cryptocoin-team/electrum.git
Vcs-Browser: https://salsa.debian.org/cryptocoin-team/electrum
Homepage: https://electrum.org/
Rules-Requires-Root: no

Package: python3-electrum
Architecture: all
Section: python
# libsecp256k1-0: Used to speed up elliptic curve operations.
# python3-distutils: Provides the removed electrum/_vendor/distutils/version.py.
Depends:
 libjs-jquery,
 libjs-jquery-ui,
 libjs-jquery-ui-theme-trontastic,
 libsecp256k1-0,
 node-qrcode-generator,
 python3-cryptography (>= 2.6),
 python3-distutils,
 ${misc:Depends},
 ${python3:Depends}
# fonts-dejavu-core: Provides the removed electrum/plugins/revealer/DejaVuSansMono-Bold.ttf.
Recommends: fonts-dejavu-core
Breaks: electrum (<= 2.3.1~), python-electrum (<= 3.0.2~)
Replaces: electrum (<= 2.3.1~), python-electrum
Description: Easy to use Bitcoin client - Python module
 This package provides a lightweight Bitcoin client which protects
 you from losing your bitcoins in a backup mistake or computer
 failure. Also, Electrum does not require waiting time because it does
 not download the Bitcoin blockchain.
 .
 This package provides the "electrum" Python module which can be used to access
 a Bitcoin wallet from Python programs.

Package: electrum
Architecture: all
Depends:
 python3-electrum (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends}
Recommends: python3-pyqt5, python3-qdarkstyle
Suggests: python3-btchip, python3-trezor, python3-zbar
Breaks: python3-electrum (<< 3.2.3-1~)
Replaces: python3-electrum (<< 3.2.3-1~)
Description: Easy to use Bitcoin client
 This package provides a lightweight Bitcoin client which protects
 you from losing your bitcoins in a backup mistake or computer
 failure. Also, Electrum does not require waiting time because it does
 not download the Bitcoin blockchain.
 .
 Features of Electrum:
 .
   * Instant on: Your client does not download the blockchain. It uses a
     network of specialized servers that index the blockchain.
   * Forgiving: Your wallet can be recovered from a secret seed.
   * Safe: Your seed and private keys are encrypted on your hard drive.
     They are never sent to the servers.
   * Low trust: Information received from the servers is verified using
     SPV. Servers are authenticated using SSL.
   * No downtimes: Your client is not tied to a particular server; it
     will switch instantly if your server is down.
   * Ubiquitous: You can use the same wallet on different computers, they
     will synchronize automatically.
   * Cold Storage: Sign transactions from a computer that is always
     offline. Broadcast them using a machine that does not have your keys.
   * Reachable: You can export your private keys into other Bitcoin
     clients.
   * Established: Electrum is open source and was first released in
     November 2011.

=== debian/rules ===
#!/usr/bin/make -f

# Ignore graphics and .mo files in addition to the default debian files
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(locale/.*/.*\.mo|data/dark/.*\.png|icons/.*\.png|LICENSE|debian/(changelog|copyright(|_hints|_newhints)|electrum.translations))$

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build::
	# Generate paymentrequest_pb2.py from paymentrequest.proto.
	contrib/generate_payreqpb2.sh

override_dh_installchangelogs::
	# Move RELEASE-NOTES to changelog.
	dh_installchangelogs RELEASE-NOTES

execute_after_dh_auto_install::
	# Remove redundant license files.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/revealer/SIL\ Open\ Font\ License.txt
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/gui/kivy/theming/atlas/LICENCE

execute_before_dh_python3::
	# The dependency is inconvenient and unnecessary.  In the future it might make more sense to move the editing of this file to debian/patches.
	sed -Ei -e '/^qdarkstyle/d' debian/python3-electrum/usr/lib/python3*/dist-packages/*.egg-info/requires.txt

## electrum 4.3.4+dfsg1

=== contrib/deterministic-build/requirements.txt ===
aiohttp==3.8.3 \
    --hash=sha256:3828fb41b7203176b82fe5d699e0d845435f2374750a44b480ea6b930f6be269
aiohttp-socks==0.7.1 \
    --hash=sha256:2215cac4891ef3fa14b7d600ed343ed0f0a670c23b10e4142aa862b3db20341a
aiorpcX==0.22.1 \
    --hash=sha256:6026f7bed3432e206589c94dcf599be8cd85b5736b118c7275845c1bd922a553
aiosignal==1.3.1 \
    --hash=sha256:54cd96e15e1649b75d6c87526a6ff0b6c1b0dd3459f43d9ca11d48c339b68cfc
async-timeout==4.0.2 \
    --hash=sha256:2163e1640ddb52b7a8c80d0a67a08587e5d245cc9c553a74a847056bc2976b15
attrs==22.1.0 \
    --hash=sha256:29adc2665447e5191d0e7c568fde78b21f9672d344281d0c6e1ab085429b22b6
bitstring==3.1.9 \
    --hash=sha256:a5848a3f63111785224dca8bb4c0a75b62ecdef56a042c8d6be74b16f7e860e7
certifi==2022.12.7 \
    --hash=sha256:35824b4c3a97115964b408844d64aa14db1cc518f6562e8d7261699d1350a9e3
charset-normalizer==2.1.1 \
    --hash=sha256:5a3d016c7c547f69d6f81fb0db9449ce888b418b5b9952cc5e6e66843e9dd845
dnspython==2.2.1 \
    --hash=sha256:0f7569a4a6ff151958b64304071d370daa3243d15941a7beedf0c9fe5105603e
frozenlist==1.3.3 \
    --hash=sha256:58bcc55721e8a90b88332d6cd441261ebb22342e238296bb330968952fbb3a6a
idna==3.4 \
    --hash=sha256:814f528e8dead7d329833b91c5faa87d60bf71824cd12a7530b5526063d02cb4
multidict==6.0.2 \
    --hash=sha256:5ff3bd75f38e4c43f1f470f2df7a4d430b821c4ce22be384e1459cb57d6bb013
packaging==21.3 \
    --hash=sha256:dd47c42927d89ab911e606518907cc2d3a1f38bbd026385970643f9c5b8ecfeb
pip==22.3.1 \
    --hash=sha256:65fd48317359f3af8e593943e6ae1506b66325085ea64b706a998c6e83eeaf38
protobuf==3.20.3 \
    --hash=sha256:2e3427429c9cffebf259491be0af70189607f365c2f41c7c3764af6f337105f2
pyparsing==3.0.9 \
    --hash=sha256:2b020ecf7d21b687f219b71ecad3631f644a47f01403fa1d1036b0c6416d70fb
python-socks==2.0.3 \
    --hash=sha256:e3a9ca8e554733862ce4d8ce1d10efb480fd3a3acdafd03393943ec00c98ba8a
QDarkStyle==3.1 \
    --hash=sha256:600584d625343e0ddd128de08393d3c35637786a49827f174d29aa7caa8279c1
qrcode==7.3.1 \
    --hash=sha256:375a6ff240ca9bd41adc070428b5dfc1dcfbb0f2507f1ac848f6cded38956578
QtPy==2.3.0 \
    --hash=sha256:0603c9c83ccc035a4717a12908bf6bc6cb22509827ea2ec0e94c2da7c9ed57c5
setuptools==65.5.1 \
    --hash=sha256:e197a19aa8ec9722928f2206f8de752def0e4c9fc6953527360d1c36d94ddb2f
wheel==0.38.4 \
    --hash=sha256:965f5259b566725405b05e7cf774052044b1ed30119b5d586b2703aafe8719ac
yarl==1.8.1 \
    --hash=sha256:af887845b8c2e060eb5605ff72b6f2dd2aab7a761379373fd89d314f4752abbf

=== contrib/requirements/requirements.txt ===
qrcode
protobuf>=3.12,<4
qdarkstyle>=2.7
aiorpcx>=0.22.0,<0.23
aiohttp>=3.3.0,<4.0.0
aiohttp_socks>=0.3
certifi
bitstring
attrs>=19.2.0

# Note that we also need the dnspython[DNSSEC] extra which pulls in cryptography,
# but as that is not pure-python it cannot be listed in this file!
dnspython>=2.0

=== debian/changelog ===
electrum (4.3.4+dfsg1-1+deb12u1) bookworm; urgency=high

  * Add debian/patches/Lightning-security-fix.patch to fix a Lightning security
    problem fixed upstream in 4.4.6.  (Closes: #1052211)
  * Add myself to uploaders and remove Tristan Seligmann <mithrandi@debian.org>.
    (Closes: #1041171).

 -- Soren Stoutner <soren@stoutner.com>  Mon, 18 Sep 2023 19:30:21 -0700

electrum (4.3.4+dfsg1-1) unstable; urgency=high

  * Team upload

  [ Soren Stoutner ]
  * New upstream release.
  * debian/control:  Switch python3-electrum depends from
    libjs-jquery-ui-theme-trontastic to
    libjs-jquery-ui-theme-ui-lightness to match upstream changes.
  * debian/copyright:  Update to match renamed patch.
  * debian/electrum.lintian-overrides:  Override
    desktop-entry-lacks-keywords-entry because the Name and GenericName
    entries already contain all possible words that could be placed in
    the Keywords field.
  * debian/patches:  Refresh and rename.
  * debian/rules:  Remove additional redundant license file contained
    in debian/copyright.
  * This release finally includes a working payserver, probably for the
    first time in Debian.

 -- Soren Stoutner <soren@stoutner.com>  Thu, 02 Feb 2023 15:52:07 -0700

electrum (4.3.3+dfsg1-1) unstable; urgency=medium

  * Team upload

  [ Soren Stoutner ]
  * New upstream release.
  * Add a metainfo.xml file.
  * debian/NEWS: Remove obsolete entry for version no longer in
      Debian.
  * debian/control: Bump Standards-Version to 4.6.2 (no changes).
  * debian/copyright:
    - Exclude unneeded Kivy fonts.
    - Update excluded directories for new paths in upstream tarball.
  * debian/electrum.install: Install the metainfo.xml file.
  * debian/patches: Update 0004-Use-system-JavaScript-files.patch
      to match new paths in upstream tarball.
  * debian/python3.electrum.links: Create a payserver symlink to
      correct for an upstream tarball packaging problem.
  * debian/rules:
    - Remove unneeded Kivy GUI, which is only used for the
      Android build.
    - Remove a payserver file to correct for an upstream
      tarball packaging problem.
    - Remove upstream cruft.

 -- Bastian Germann <bage@debian.org>  Fri, 13 Jan 2023 16:00:42 +0100

electrum (4.3.2+dfsg1-5) unstable; urgency=medium

  * Team upload
  * Move to unstable

 -- Bastian Germann <bage@debian.org>  Tue, 27 Dec 2022 14:32:58 +0100

electrum (4.3.2+dfsg1-4) experimental; urgency=medium

  * Team upload
  * Patch: Replace libsecp256k1 SONAME

 -- Bastian Germann <bage@debian.org>  Mon, 26 Dec 2022 17:26:52 +0100

electrum (4.3.2+dfsg1-3) experimental; urgency=medium

  * Team upload
  * Update libsecp256k1-1 to new package name

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-aiohttp, python3-cbor,
      python3-cryptography and python3-pyaes.
    + python3-electrum: Drop versioned constraint on python3-cryptography in
      Depends.

 -- Bastian Germann <bage@debian.org>  Mon, 26 Dec 2022 14:49:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,32 @@
 Source: electrum
 Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
-Uploaders: Tristan Seligmann <mithrandi@debian.org>
+Uploaders: Soren Stoutner <soren@stoutner.com>
 Section: utils
 Priority: optional
-# libsecp256k1-0: Used to speed up elliptic curve operations.
+# libsecp256k1-1: Used to speed up elliptic curve operations.
 # protobuf-compiler: Used to compile paymentrequest_pb2.py.
 Build-Depends:
  debhelper-compat (= 13),
  devscripts,
  dh-sequence-python3,
- libsecp256k1-0,
+ libsecp256k1-1,
  protobuf-compiler,
  pyqt5-dev-tools,
  python3,
- python3-aiohttp (>= 3.3.0),
+ python3-aiohttp,
  python3-aiohttp-socks (>= 0.3),
  python3-aiorpcx (>= 0.22),
  python3-attr (>= 19.2.0),
  python3-bitstring,
- python3-cbor (>= 1.0.0),
+ python3-cbor,
  python3-certifi,
- python3-cryptography (>= 2.6),
+ python3-cryptography,
  python3-dnspython (>= 2.0),
  python3-ecdsa (>= 0.14),
  python3-kivy,
  python3-pbkdf2,
  python3-protobuf (>= 3.12),
- python3-pyaes (>= 0.1a1),
+ python3-pyaes,
  python3-pycryptodome (>= 3.7),
  python3-pyqt5,
  python3-pyqt5.qtmultimedia,
@@ -34,7 +34,7 @@
  python3-qrcode,
  python3-serial (>= 3.5),
  python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/electrum.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/electrum
 Homepage: https://electrum.org/
@@ -43,15 +43,15 @@
 Package: python3-electrum
 Architecture: all
 Section: python
-# libsecp256k1-0: Used to speed up elliptic curve operations.
+# libsecp256k1-1: Used to speed up elliptic curve operations.
 # python3-distutils: Provides the removed electrum/_vendor/distutils/version.py.
 Depends:
  libjs-jquery,
  libjs-jquery-ui,
- libjs-jquery-ui-theme-trontastic,
- libsecp256k1-0,
+ libjs-jquery-ui-theme-ui-lightness,
+ libsecp256k1-1,
  node-qrcode-generator,
- python3-cryptography (>= 2.6),
+ python3-cryptography,
  python3-distutils,
  ${misc:Depends},
  ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,19 @@
 	dh_installchangelogs RELEASE-NOTES
 
 execute_after_dh_auto_install::
-	# Remove redundant license files.
+	# Remove redundant license files whose information is already contained in debian/copyright.
+	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/payserver/www/LICENCE
 	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/revealer/SIL\ Open\ Font\ License.txt
-	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/gui/kivy/theming/atlas/LICENCE
+
+	# Remove Kivy, which is only used in the Android build.
+	rm -r debian/tmp/usr/lib/python3*/dist-packages/electrum/gui/kivy/
+
+	# Remove a payserver file to correct for an upstream tarball packaging problem.  <https://github.com/spesmilo/electrum/issues/8030>
+	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/payserver/www/pay
+
+	# Remove upstream cruft.
+	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/payserver/www/.editorconfig
+	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/payserver/www/.gitignore
 
 execute_before_dh_python3::
 	# The dependency is inconvenient and unnecessary.  In the future it might make more sense to move the editing of this file to debian/patches.

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,dversionmangle=auto,pgpsigurlmangle=s/$/.ThomasV.asc/ \
    https://download.electrum.org/(\d(?:\.\d)*)/Electrum-sourceonly-(\d(?:\.\d)*)\.tar\.gz

## electrum 4.3.4+dfsg1-1+deb12u1trisquel3

=== debian/changelog ===
electrum (4.3.4+dfsg1-1+deb12u1trisquel3) ecne; urgency=medium

  * Backported from debian bookworm

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 15 Oct 2024 05:56:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: electrum
-Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Soren Stoutner <soren@stoutner.com>
 Section: utils
 Priority: optional
@@ -24,6 +24,7 @@
  python3-dnspython (>= 2.0),
  python3-ecdsa (>= 0.14),
  python3-kivy,
+ python3-packaging,
  python3-pbkdf2,
  python3-protobuf (>= 3.12),
  python3-pyaes,
@@ -52,7 +53,7 @@
  libsecp256k1-1,
  node-qrcode-generator,
  python3-cryptography,
- python3-distutils,
+ python3-packaging,
  ${misc:Depends},
  ${python3:Depends}
 # fonts-dejavu-core: Provides the removed electrum/plugins/revealer/DejaVuSansMono-Bold.ttf.

## electrum 4.4.5+dfsg1

=== debian/changelog ===
electrum (4.4.5+dfsg1-2) unstable; urgency=medium

  [ Bastian German ]
  * debian/control:  Remove Tristan Seligmann <mithrandi@debian.org> from
    uploaders (Closes: #1041171).

  [ Soren Stoutner ]
  * debian/copyright:  Add copyright information for new man file.
  * debian/electrum.1:  Rewrite man file (Closes: #884070, #884071).
  * debian/rules:  Remove the bundled Electrum executable from the
    python3-electrum package.

 -- Soren Stoutner <soren@stoutner.com>  Sat, 15 Jul 2023 10:01:22 -0700

electrum (4.4.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add myself (Soren Stoutner) to uploaders.
    - Remove Depends: python3-distutils from the python-electrum
      package.
    - Add Suggests: python3-btchip, python3-trezor to the
      python-electrum package.
    - Switch the order of the binary packages so that README.debian
      is in the electrum package.
  * debian copyright:
    - Remove electrum/_vendor from Files-Excluded.
    - Add electrum/_vendor/distutils/version.py copyright.
    - Add electrum/gui/qml/fonts/* to Files-Excluded. These fonts are
      only used for the Android GUI.
    - Remove copyright information for electrum/gui/qml/fonts/PTMono*.
    - Increment copyright years.
  * debian/patches:
    - Remove Correct-desktop-exec.patch; applied upstream.
    - Remove Replace-libsecp256k1-SONAME.patch; fixed upstream.
    - Remove Replace-vendored-distutils.patch; handled upstream.
    - Add Forwarded: not-needed to Improve-message-about-PyQt5.patch.
  * debian/rules:
    - Remove electrum/_vendor/distutils/LICENSE as the information has
      been added to debian/copyright.
    - Remove electrum/gui/qml/ which is only used for the Android GUI.
  * README.debian: Add information for hardware wallets
    (Closes: #1030886).

 -- Soren Stoutner <soren@stoutner.com>  Sat, 24 Jun 2023 12:09:36 -0700

electrum (4.3.4+dfsg1-1) unstable; urgency=medium

  * Team upload

  [ Soren Stoutner ]
  * New upstream release.
  * debian/control:  Switch python3-electrum depends from
    libjs-jquery-ui-theme-trontastic to
    libjs-jquery-ui-theme-ui-lightness to match upstream changes.
  * debian/copyright:  Update to match renamed patch.
  * debian/electrum.lintian-overrides:  Override
    desktop-entry-lacks-keywords-entry because the Name and GenericName
    entries already contain all possible words that could be placed in
    the Keywords field.
  * debian/patches:  Refresh and rename.
  * debian/rules:  Remove additional redundant license file contained
    in debian/copyright.
  * This release finally includes a working payserver, probably for the
    first time in Debian.

 -- Soren Stoutner <soren@stoutner.com>  Thu, 02 Feb 2023 15:52:07 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: electrum
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
 Uploaders: Soren Stoutner <soren@stoutner.com>
 Section: utils
 Priority: optional
@@ -24,7 +24,6 @@
  python3-dnspython (>= 2.0),
  python3-ecdsa (>= 0.14),
  python3-kivy,
- python3-packaging,
  python3-pbkdf2,
  python3-protobuf (>= 3.12),
  python3-pyaes,
@@ -40,34 +39,6 @@
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/electrum
 Homepage: https://electrum.org/
 Rules-Requires-Root: no
-
-Package: python3-electrum
-Architecture: all
-Section: python
-# libsecp256k1-1: Used to speed up elliptic curve operations.
-# python3-distutils: Provides the removed electrum/_vendor/distutils/version.py.
-Depends:
- libjs-jquery,
- libjs-jquery-ui,
- libjs-jquery-ui-theme-ui-lightness,
- libsecp256k1-1,
- node-qrcode-generator,
- python3-cryptography,
- python3-packaging,
- ${misc:Depends},
- ${python3:Depends}
-# fonts-dejavu-core: Provides the removed electrum/plugins/revealer/DejaVuSansMono-Bold.ttf.
-Recommends: fonts-dejavu-core
-Breaks: electrum (<= 2.3.1~), python-electrum (<= 3.0.2~)
-Replaces: electrum (<= 2.3.1~), python-electrum
-Description: Easy to use Bitcoin client - Python module
- This package provides a lightweight Bitcoin client which protects
- you from losing your bitcoins in a backup mistake or computer
- failure. Also, Electrum does not require waiting time because it does
- not download the Bitcoin blockchain.
- .
- This package provides the "electrum" Python module which can be used to access
- a Bitcoin wallet from Python programs.
 
 Package: electrum
 Architecture: all
@@ -104,3 +75,30 @@
      clients.
    * Established: Electrum is open source and was first released in
      November 2011.
+
+Package: python3-electrum
+Architecture: all
+Section: python
+# libsecp256k1-1: Used to speed up elliptic curve operations.
+Depends:
+ libjs-jquery,
+ libjs-jquery-ui,
+ libjs-jquery-ui-theme-ui-lightness,
+ libsecp256k1-1,
+ node-qrcode-generator,
+ python3-cryptography,
+ ${misc:Depends},
+ ${python3:Depends}
+# fonts-dejavu-core: Provides the removed electrum/plugins/revealer/DejaVuSansMono-Bold.ttf.
+Recommends: fonts-dejavu-core
+Suggests: python3-btchip, python3-trezor
+Breaks: electrum (<= 2.3.1~), python-electrum (<= 3.0.2~)
+Replaces: electrum (<= 2.3.1~), python-electrum
+Description: Easy to use Bitcoin client - Python module
+ This package provides a lightweight Bitcoin client which protects
+ you from losing your bitcoins in a backup mistake or computer
+ failure. Also, Electrum does not require waiting time because it does
+ not download the Bitcoin blockchain.
+ .
+ This package provides the "electrum" Python module which can be used to access
+ a Bitcoin wallet from Python programs.

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,14 @@
 	dh_installchangelogs RELEASE-NOTES
 
 execute_after_dh_auto_install::
-	# Remove redundant license files whose information is already contained in debian/copyright.
+	# Remove redundant license files whose information has been copied to debian/copyright.
+	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/_vendor/distutils/LICENSE
 	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/payserver/www/LICENCE
 	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/revealer/SIL\ Open\ Font\ License.txt
 
-	# Remove Kivy, which is only used in the Android build.
+	# Remove Kivy and QML, which are only used for Android.
 	rm -r debian/tmp/usr/lib/python3*/dist-packages/electrum/gui/kivy/
+	rm -r debian/tmp/usr/lib/python3*/dist-packages/electrum/gui/qml/
 
 	# Remove a payserver file to correct for an upstream tarball packaging problem.  <https://github.com/spesmilo/electrum/issues/8030>
 	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/payserver/www/pay
@@ -29,6 +31,9 @@
 	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/payserver/www/.editorconfig
 	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/payserver/www/.gitignore
 
+	# Remove bundled executable in the python directory.
+	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/electrum
+
 execute_before_dh_python3::
 	# The dependency is inconvenient and unnecessary.  In the future it might make more sense to move the editing of this file to debian/patches.
 	sed -Ei -e '/^qdarkstyle/d' debian/python3-electrum/usr/lib/python3*/dist-packages/*.egg-info/requires.txt

## electrum 4.4.6+dfsg

=== debian/changelog ===
electrum (4.4.6+dfsg-1~bpo12+1) bookworm-backports; urgency=high

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@stoutner.com>  Mon, 28 Aug 2023 13:09:46 -0700

electrum (4.4.6+dfsg-1) unstable; urgency=high

  * New upstream release (includes important security fixes for Lightning).
  * Remove debian/org.electrum.electrum.metainfo.xml.
  * debian/copyright:  Update copyright information for AppStream file changes.
  * debian/electrum.install:  Use the upstream AppStream
      org.electrum.electrum.metainfo.xml.
  * debian/watch:  Update watch file to use `dfsg` instead of `dfsg1`.

 -- Soren Stoutner <soren@stoutner.com>  Fri, 25 Aug 2023 13:14:41 -0700

electrum (4.4.5+dfsg1-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@stoutner.com>  Fri, 25 Aug 2023 10:06:28 -0700

electrum (4.4.5+dfsg1-3) unstable; urgency=medium

  * debian/clean:  Remove file generated from .proto at build time
      (Closes: #1044268).
  * debian/electrum.1:  Update man file.
  * debian/source/options:  Ignore auto-generated build changes to files in
      Electrum.egg-info (Closes: #1044268).

 -- Soren Stoutner <soren@stoutner.com>  Sat, 19 Aug 2023 17:34:20 -0700

electrum (4.4.5+dfsg1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bastian Germann <bage@debian.org>  Tue, 18 Jul 2023 10:41:27 +0000

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=auto,pgpsigurlmangle=s/$/.ThomasV.asc/ \
    https://download.electrum.org/(\d(?:\.\d)*)/Electrum-sourceonly-(\d(?:\.\d)*)\.tar\.gz
